#!/bin/bash

# OPTIONS='
#     --style=linux -s4
#     --pad-oper --pad-header --pad-comma
#     --align-pointer=name --align-reference=name
#     --break-one-line-headers
#     --remove-braces
#     --break-return-type
#     --convert-tabs
#     --close-templates
#     --max-code-length=101
#     --mode=c
#     --lineend=linux
#     --attach-inlines
#     --indent-labels
#     --indent-col1-comments
#     --indent-preproc-block'

OPTIONS='
    --style=stroustrup
    --lineend=linux
    --attach-inlines --attach-namespaces --attach-classes --attach-extern-c --attach-closing-while --close-templates
    --min-conditional-indent=0
    --indent=spaces=4
    --pad-oper --pad-comma --pad-header
    --align-pointer=name --align-reference=name
    --break-closing-braces
    --keep-one-line-blocks --keep-one-line-statements
'

SRC='./src ./automation ./libaegisub'

if [ $# -gt 0 ] && [ "$1" = "--check" ] ; then
    astyle $OPTIONS --dry-run -R ./*.c | grep Formatted
    [ $? -eq 1 ] && exit 0 || exit 1
fi

find $SRC -name '*.c'     -exec astyle $OPTIONS --quiet {} \;
find $SRC -name '*.h'     -exec astyle $OPTIONS --quiet {} \;
find $SRC -name '*.hpp'   -exec astyle $OPTIONS --quiet {} \;
find $SRC -name '*.cpp'   -exec astyle $OPTIONS --quiet {} \;
find $SRC -name '*.orig'  -exec rm {} \;
